##
##  @l_prefix@/etc/lighttpd/lighttpd.conf
##

server.tag           = "lighttpd/@l_openpkg_release@"

server.bind          = "127.0.0.1"
server.port          = 80

server.username      = "@l_nusr@"
server.groupname     = "@l_ngrp@"

server.pid-file      = "@l_prefix@/var/lighttpd/lighttpd.pid"
server.errorlog      = "@l_prefix@/var/lighttpd/log/lighttpd.error.log"
accesslog.filename   = "@l_prefix@/var/lighttpd/log/lighttpd.access.log"

server.document-root = "@l_prefix@/pub/"
server.indexfiles    = ( "index.html", "index.htm", "default.htm" )
url.access-deny      = ( "~", ".inc" )

server.modules       = (
#                        "mod_rewrite",
#                        "mod_redirect",
#                        "mod_alias",
                         "mod_access",
#                        "mod_auth",
#                        "mod_status",
#                        "mod_setenv",
#                        "mod_fastcgi",
#                        "mod_proxy",
#                        "mod_simple_vhost",
#                        "mod_evhost",
#                        "mod_userdir",
#                        "mod_cgi",
#                        "mod_compress",
#                        "mod_ssi",
#                        "mod_usertrack",
#                        "mod_expire",
#                        "mod_secdownload",
#                        "mod_rrdtool",
                         "mod_accesslog"
                       )

mimetype.assign      = ( ".pdf"     => "application/pdf",
                         ".sig"     => "application/pgp-signature",
                         ".spl"     => "application/futuresplash",
                         ".class"   => "application/octet-stream",
                         ".ps"      => "application/postscript",
                         ".torrent" => "application/x-bittorrent",
                         ".dvi"     => "application/x-dvi",
                         ".gz"      => "application/x-gzip",
                         ".pac"     => "application/x-ns-proxy-autoconfig",
                         ".swf"     => "application/x-shockwave-flash",
                         ".tar.gz"  => "application/x-tgz",
                         ".tgz"     => "application/x-tgz",
                         ".tar"     => "application/x-tar",
                         ".zip"     => "application/zip",
                         ".mp3"     => "audio/mpeg",
                         ".m3u"     => "audio/x-mpegurl",
                         ".wma"     => "audio/x-ms-wma",
                         ".wax"     => "audio/x-ms-wax",
                         ".ogg"     => "audio/x-wav",
                         ".wav"     => "audio/x-wav",
                         ".gif"     => "image/gif",
                         ".jpg"     => "image/jpeg",
                         ".jpeg"    => "image/jpeg",
                         ".png"     => "image/png",
                         ".xbm"     => "image/x-xbitmap",
                         ".xpm"     => "image/x-xpixmap",
                         ".xwd"     => "image/x-xwindowdump",
                         ".css"     => "text/css",
                         ".html"    => "text/html",
                         ".htm"     => "text/html",
                         ".js"      => "text/javascript",
                         ".asc"     => "text/plain",
                         ".c"       => "text/plain",
                         ".conf"    => "text/plain",
                         ".text"    => "text/plain",
                         ".txt"     => "text/plain",
                         ".dtd"     => "text/xml",
                         ".xml"     => "text/xml",
                         ".mpeg"    => "video/mpeg",
                         ".mpg"     => "video/mpeg",
                         ".mov"     => "video/quicktime",
                         ".qt"      => "video/quicktime",
                         ".avi"     => "video/x-msvideo",
                         ".asf"     => "video/x-ms-asf",
                         ".asx"     => "video/x-ms-asf",
                         ".wmv"     => "video/x-ms-wmv",
                         ".bz2"     => "application/x-bzip",
                         ".tbz"     => "application/x-bzip-compressed-tar",
                         ".tar.bz2" => "application/x-bzip-compressed-tar"
                       )

